Package tigase.util

# Class ClassUtil

java.lang.Object
tigase.util.ClassUtil

public class ClassUtil extends Object
`ClassUtil` file contains code used for loading all implementations of specified interface or abstract class found in classpath. As a result of calling some functions you can have `Set` containing all required classes.

Created: Wed Oct 6 08:25:52 2004

Version:
  $Rev$
Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<Class<?>>`
  `getClassesFromClassPath()`
  `static Set<Class<?>>`
  `getClassesFromClassPath(Predicate<String> classNamesFilter)`
  `static Set<Class<?>>`
  `getClassesFromNames(Set<String> names)`
  `static Set<Class<?>>`
  `getClassesFromNames(Set<String> names, Predicate<String> filter)`
  `static <T extends Class>
  Set<T>`
  `getClassesImplementing(Collection<Class<?>> classes, T cls)`
  `static <T extends Class>
  Set<T>`
  `getClassesImplementing(T cls)`
  `static String`
  `getClassNameFromFileName(String fileName)`
  `static Set<String>`
  `getClassNamesFromDir(File dir)`
  `static Set<String>`
  `getClassNamesFromJar(File jarFile)`
  `static Set<String>`
  `getFileListDeep(File path)`
  `static <T> Set<T>`
  `getImplementations(Class<T> obj)`
  `static void`
  `walkInDirForFiles(File base_dir, String path, Set<String> set)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassUtil

    public ClassUtil()

- ## Method Details

  - ### getClassNameFromFileName

    public static String getClassNameFromFileName(String fileName)

  - ### getClassNamesFromDir

    public static Set<String> getClassNamesFromDir(File dir)

  - ### getClassNamesFromJar

    public static Set<String> getClassNamesFromJar(File jarFile) throws IOException
    Throws:
      `IOException`

  - ### getClassesFromClassPath

    public static Set<Class<?>> getClassesFromClassPath() throws IOException, ClassNotFoundException
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### getClassesFromClassPath

    public static Set<Class<?>> getClassesFromClassPath(Predicate<String> classNamesFilter) throws IOException, ClassNotFoundException
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### getClassesFromNames

    public static Set<Class<?>> getClassesFromNames(Set<String> names) throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### getClassesFromNames

    public static Set<Class<?>> getClassesFromNames(Set<String> names, Predicate<String> filter) throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### getClassesImplementing

    public static <T extends Class> Set<T> getClassesImplementing(Collection<Class<?>> classes, T cls)

  - ### getClassesImplementing

    public static <T extends Class> Set<T> getClassesImplementing(T cls) throws IOException, ClassNotFoundException
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### getFileListDeep

    public static Set<String> getFileListDeep(File path)

  - ### getImplementations

    public static <T> Set<T> getImplementations(Class<T> obj) throws IOException, ClassNotFoundException, InstantiationException, IllegalAccessException
    Throws:
      `IOException`
      `ClassNotFoundException`
      `InstantiationException`
      `IllegalAccessException`

  - ### walkInDirForFiles

    public static void walkInDirForFiles(File base_dir, String path, Set<String> set)